<?php
/**
 * @package     Rsformtobreezingformsconverter
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class RsformprotobreezingformsconverterController extends JControllerLegacy
{
    function import()
    {
        $ret = $this->getModel('rsformprotobreezingformsconverter')->import();
        if($ret === false){
            $this->setRedirect( 'index.php?option=com_rsformprotobreezingformsconverter', 'Form has been imported already! Please click "Clear Imported Form" if you want to start over!' );
        }
        echo $ret;
    }

    function importSubmissions()
    {
        $result = $this->getModel('rsformprotobreezingformsconverter')->importSubmissions();
        if($result === false){
            $this->setRedirect( 'index.php?option=com_rsformprotobreezingformsconverter', 'Please import this form first!' );
        }else{
            $this->setRedirect( 'index.php?option=com_rsformprotobreezingformsconverter', $result );
        }
    }

    function clearImportedForm(){
        $this->getModel('rsformprotobreezingformsconverter')->clearImportedForm();
         $this->setRedirect( 'index.php?option=com_rsformprotobreezingformsconverter', 'Form Cleared!' );
    }

    function clearImportedSubmissions(){
        $this->getModel('rsformprotobreezingformsconverter')->clearImportedSubmissions();
         $this->setRedirect( 'index.php?option=com_rsformprotobreezingformsconverter', 'Submissions Cleared!' );
    }

    /**
     * Method to display the view
     *
     * @access    public
     */
    function display($cachable = false, $urlparams = array())
    {
        jimport('joomla.filesystem.file');
        if( !JFile::exists(JPATH_SITE . '/administrator/components/com_rsform/rsform.xml') || !JFile::exists(JPATH_SITE . '/administrator/components/com_breezingforms/breezingforms.xml') ){
            if(!JFile::exists(JPATH_SITE . '/administrator/components/com_rsform/rsform.xml')){
                echo 'RSForm!Pro not found, please install it first.';
            }else{
                echo 'BreezingForms not found, please install at least BreezingForms 1.7.1 <b>build 730</b>. To have better results, go for 1.7.2!';
            }
        }else{
            parent::display();
        }
    }
}
